<template>
  <div>
    <!-- <h2>{{state.firstName}} {{state.lastName}}</h2> -->
    <h3>{{firstName}} {{lastName}}</h3>
  </div>
</template>

<script>
import { reactive, toRefs } from "vue";
export default {
  name: "DemoTwo",
  setup() {
    const state = reactive({
      firstName: "Bruce",
      lastName: "Wills",
    });
    setTimeout(() => {
      state.firstName = "Clark";
      state.lastName = "Kent";
    }, 2000);
    return toRefs(state); //con toRefs vue sa che deve reagire ai cambiamenti e preserva la reattività delle singole propietà
  },
};
</script>

<style>
</style>